Bug 574662 - Review Request: perl-CDDB - CDDB Perl module
Summary: Review Request: perl-CDDB - CDDB Perl module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 06:24 UTC by Jan Klepek
Modified: 2010-04-09 04:08 UTC (History)
2 users (show)

Fixed In Version: perl-CDDB-1.220-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:32:57 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jan Klepek 2010-03-18 06:24:55 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/perl-CDDB.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-CDDB-1.220-2.fc11.src.rpm
Description: CDDB protocol (cddbp) servers provide compact disc information for
programs that need it. This allows such programs to display disc and track
titles automatically, and it provides extended information like liner
notes and lyrics.
Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2060198

Comment 1 Marcela Mašláňová 2010-03-18 15:51:16 UTC
OK rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
   56e0ba3f347e1b14f41f340f0cb3be3a
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
OK successful koji compilation.
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.

For review is needed:
- replacement: s/PERL_INSTALL_ROOT/DESTDIR/
- removal: R: Test::More. I suppose module doesn't need test suite for functionality.

Comment 3 Marcela Mašláňová 2010-03-23 10:56:43 UTC
Great, accepted

Comment 4 Jan Klepek 2010-03-23 17:11:46 UTC
New Package CVS Request
=======================
Package Name: perl-CDDB
Short Description: CDDB Perl module
Owners: hpejakle
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2010-03-24 03:26:55 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-03-24 08:51:00 UTC
perl-CDDB-1.220-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CDDB-1.220-3.fc12

Comment 7 Fedora Update System 2010-03-24 08:51:04 UTC
perl-CDDB-1.220-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CDDB-1.220-3.fc13

Comment 8 Fedora Update System 2010-03-24 08:51:09 UTC
perl-CDDB-1.220-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CDDB-1.220-3.fc11

Comment 9 Fedora Update System 2010-03-24 23:33:48 UTC
perl-CDDB-1.220-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CDDB'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CDDB-1.220-3.fc12

Comment 10 Fedora Update System 2010-03-24 23:35:01 UTC
perl-CDDB-1.220-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CDDB'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CDDB-1.220-3.fc11

Comment 11 Fedora Update System 2010-03-24 23:36:49 UTC
perl-CDDB-1.220-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CDDB'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CDDB-1.220-3.fc13

Comment 12 Fedora Update System 2010-04-09 01:32:53 UTC
perl-CDDB-1.220-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-09 01:35:20 UTC
perl-CDDB-1.220-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-09 04:08:15 UTC
perl-CDDB-1.220-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.